/*
 * Copyright (C) 2002-2003  Pekka Enberg <penberg@iki.fi>
 *
 * Distributed under the terms of the GNU General Public License
 * version 2 or later.
 */
#ifndef _INDENT_H_
#define _INDENT_H_ 1

#include "buffer.h"
#include <stdbool.h>

/*
 * Indent options
 */
extern char indent_char;
extern int  num_indent_chars;
extern bool force_newline_after_start_tag;
extern bool force_newline_after_end_tag;
extern int  max_columns;
extern bool wrap_long_lines;

void indent(FILE * input, FILE * output);
void xml_declaration(struct buffer * buffer, const char * text);
void cdata_section(struct buffer * buffer, const char * text);
void doctype_declaration(struct buffer * buffer, const char * text);
void start_tag(struct buffer * buffer, const char * text);
void end_tag(struct buffer * buffer, const char * text);
void empty_element_tag(struct buffer * buffer, const char * text);
void comment(struct buffer * buffer, const char * text);
void newline(struct buffer * buffer, const char * text);
void character_text(struct buffer * buffer, const char * text);

#endif
